Subject: git-cvsimport bug? Newly created branch not seen unless there's at least one commit in it

From: Francis Galiegue <[email-masked]>
Date: Thu, 23 Oct 2008 14:00:45 +0200

Hello,

I've tried to git-cvsimport a module from CVS, where a branch named "foo" 
existed. CVSROOT set in the environment, CVS_RSH too, and I imported with:

git-cvsimport -k -a -C themodule themodule

However, it didn't do what I expected: I couldn't see the branch named "foo".

I had to make a commit using CVS on that very same module on that "foo" 
branch. After the commit, out of curiosity, I executed the same git command 
again in the same directory: this time the branch was seen.

Is this a bug, or is there a git-cvsimport option that I missed? I have looked 
at the manpage several times, and couldn't find what option could be of any 
use in my case (mind you, I haven't looked at the cvsps manpage either).

Thanks,
-- 
Francis Galiegue
ONE2TEAM
Ingénieur système
Mob : +33 (0) 6 83 87 78 75
Tel : +33 (0) 1 78 94 55 52
[email-masked]
40 avenue Raymond Poincaré
75116 Paris